FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202011132127.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202011132127.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ca8c60a OS_GIT_VERSION=4.5.0-202011132127.p0-ca8c60a SOURCE_DATE_EPOCH=1602735061 SOURCE_GIT_COMMIT=ca8c60ac037a529018808a0cf11e7ef587debe7b SOURCE_GIT_TAG=v0.0.0-alpha.0-791-gca8c60ac SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-controller-manager-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.5.0-202011121956.p0
ENV __doozer=update BUILD_RELEASE=202011132127.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202011132127.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ca8c60a OS_GIT_VERSION=4.5.0-202011132127.p0-ca8c60a SOURCE_DATE_EPOCH=1602735061 SOURCE_GIT_COMMIT=ca8c60ac037a529018808a0cf11e7ef587debe7b SOURCE_GIT_TAG=v0.0.0-alpha.0-791-gca8c60ac SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/cluster-kube-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-controller-manager-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-controller-manager-operator" \
        com.redhat.component="ose-cluster-kube-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        release="202011132127.p0" \
        io.openshift.build.commit.id="ca8c60ac037a529018808a0cf11e7ef587debe7b" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-controller-manager-operator/commit/ca8c60ac037a529018808a0cf11e7ef587debe7b" \
        version="v4.5.0"

